=== debian/changelog ===
soapyairspyhf (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #964806)

 -- Andreas Bombe <aeb@debian.org>  Fri, 11 Jul 2025 23:36:14 +0200
