=== debian/control ===
Source: soapyairspyhf
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libsoapysdr0.8-dev,
    libairspyhf-dev
Standards-Version: 4.7.2
Homepage: https://github.com/pothosware/SoapyAirspyHF/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspyhf
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspyhf.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-airspyhf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: AirspyHF device support for SoapySDR
 The Soapy AirspyHF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of AirspyHF devices.

Package: soapysdr-module-airspyhf
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-airspyhf, ${misc:Depends}
Description: AirspyHF device support for SoapySDR (default version)
 The Soapy AirspyHF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of AirspyHF devices.
 .
 This is an empty dependency package that pulls in the AirspyHF module
 for the default version of libsoapysdr.
