=== debian/watch ===
version=4
https://github.com/pothosware/SoapyAirspyHF/tags .*/soapy-airspyhf-([\d\.]+)\.tar\.(?:xz|gz|bz2)
